package com.ho.user.service;

import com.ho.common.tools.entity.UserDetailRespVO;
import com.ho.user.api.entity.SysUser;

import java.util.List;

/**
 * @Description 修改redis中的数据
 * Author yule
 * Date 2022/9/19 17:55
 */
public interface RedisUpdateService {

    void updateRedis(UserDetailRespVO userDetail, SysUser user);

    /**
     * 根据角色名清理用户登陆缓存
     * @param roleIds 需要变更的角色
     */
    void cleanLoginInfosByRoleId(List<Integer> roleIds);

    /**
     * 更新超管的缓存信息
     */
    void updateSuperPermsCache();

    //获取token 的key
    String getTokenKey();

    //得到用户userName的key
    String getUserNameKey(String userName);
}
